tidy.pairwise.htest {broom} | R Documentation

## Tidy a(n) pairwise.htest object

### Description

Tidy summarizes information about the components of a model. A model component might be a single term in a regression, a single hypothesis, a cluster, or a class. Exactly what tidy considers to be a model component varies cross models but is usually self-evident. If a model has several distinct types of components, you will need to specify which components to return.

### Usage

    ## S3 method for class 'pairwise.htest'
    tidy(x, ...)

### Arguments

`x` | A `pairwise.htest` object such as those returned from `stats::pairwise.t.test()` or `stats::pairwise.wilcox.test()`.

`...`

Additional arguments. Not used. Needed to match generic signature only. Cautionary note: Misspelled arguments will be absorbed in `...`, where they will be ignored. If the misspelled argument has a default value, the default value will be used. For example, if you pass `conf.lvel = 0.9`, all computation will proceed using `conf.level = 0.95`. Additionally, if you pass `newdata = my_tibble` to an `augment()` method that does not accept a `newdata` argument, it will use the default value for the `data` argument.

### Details

Note that in one-sided tests, the alternative hypothesis of each test can be stated as "group1 is greater/less than group2".

Note also that the columns of group1 and group2 will always be a factor, even if the original input is (e.g.) numeric.

### Value

A tibble::tibble with one row per group/group comparison and columns:

`group1` | First group being compared
`group2` | Second group being compared
`p.value` | (Adjusted) p-value of comparison

### See Also

`stats::pairwise.t.test()`, `stats::pairwise.wilcox.test()`, `tidy()`

Other htest tidiers: `augment.htest`, `tidy.htest`, `tidy.power.htest`

### Examples

    attach(airquality)
    Month <- factor(Month, labels = month.abb[5:9])
    ptt <- pairwise.t.test(Ozone, Month)
    tidy(ptt)

    attach(iris)
    ptt2 <- pairwise.t.test(Petal.Length, Species)
    tidy(ptt2)

    tidy(pairwise.t.test(Petal.Length, Species, alternative = "greater"))
    tidy(pairwise.t.test(Petal.Length, Species, alternative = "less"))

    tidy(pairwise.wilcox.test(Petal.Length, Species))

[Package broom version 0.5.2 Index]